
Redmine - Defect #11011

Broken display of subtasks on parent issues

2012-05-24 03:26 - Ewan Makepeace

Status: Closed Start date:  

Priority: Normal Due date: 2013-01-23

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

I have a two level tree of issues (which normally works very well). However today I see this on my top level parent:

 top.jpg 

And this on my second level parent:

 second.jpg 

Notice how both issues are listing the same children! If I look at the children I mostly see this:

 child.jpg 

However one of the tasks shows this instead:

 weird.jpg 

All the tasks have the correct value in the parent Task field.

History

#1 - 2012-05-24 03:27 - Ewan Makepeace

- File top.jpg added

#2 - 2012-05-24 03:31 - Ewan Makepeace

Forgot to mention: Redmine 1.3.0.devel.8638 (MySQL)

#3 - 2012-05-25 04:21 - Ewan Makepeace

This continues to confuse and amaze - unable to edit parent field in some cases. Tried moving task from top level to second level parent and got this

exception:

Parent task translation missing: en, activerecord, errors, models, issue, attributes, parent_issue_id, not_a_valid_parent

 Have restarted Apache but no change so I dont believe it is an Active Record cache problem?

#4 - 2012-05-28 02:05 - Toshi MARUYAMA

- Category set to Issues

#5 - 2013-01-16 10:42 - Daniel Felix

- Due date set to 2013-01-23

- Status changed from New to Needs feedback

Can someone confirm this behaviour on the current supported Redmine versions?

#6 - 2013-03-17 18:01 - Daniel Felix

Cam someone confirm this?

This issue is nearly a year in the tracker. Someone here who can give feedback on the given problem with current releases/trunk?

#7 - 2013-03-18 01:39 - Ewan Makepeace

While it has not happened again I still have both tasks in my system and they still behave weird behaviour. I am on 2.0.3.devel.10073
#8 - 2013-04-10 12:12 - Daniel Felix

Is there a way for you how to reproduce this? Maybe this one is resolved but the generated data is corrupt. Otherwise we could close this as not

reproducible?

#9 - 2013-05-07 09:32 - Daniel Felix

- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce

Closed, as there is no feedback anymore on this and the issue creator can't reproduce it on current releases.

#10 - 2013-05-07 09:56 - Maxim Nikolaevich

i'm not author but probably have same issue.

It was on 1.2.1 redmine

It was on 1.4.4 redmine

And now it on 1.4.7 redmine

I'm not sure, but probably next issue is related with current issue

#6320

#11 - 2013-05-07 09:58 - Daniel Felix

- Status changed from Closed to Reopened

Can you test this issue with one of the supported Redmine Releases (2.2.4 or 2.3.1)?

#12 - 2013-05-07 09:58 - Daniel Felix

- Status changed from Reopened to Needs feedback

#13 - 2013-05-07 10:08 - Maxim Nikolaevich

Daniel Felix wrote:

Can you test this issue with one of the supported Redmine Releases (2.2.4 or 2.3.1)?

 I'm sorry i have task to update my redmine instance to 2.x but i will do this task later.

At current moment i can not do this.

You can close issue as "can't reproduced" at current moment - i marked my task to check this issue after updating my redmine instance :)

I will update this issue with testing results

#14 - 2013-05-07 10:12 - Daniel Felix

- Status changed from Needs feedback to Closed

Okay. Thanks for the feedback.

#15 - 2013-05-08 08:16 - Ewan Makepeace

Coincidentally I had someone go into my database and close the broken parent task as it was still completely uneditable even in recent versions.

However that does not mean the bug persists - just that once the database gets in an inconsistent state bad things happen.

I never had this happen again.
